# Generated by Django 3.1.4 on 2021-01-15 11:24

import cms.menus.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='NavigationBar',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('is_active', models.BooleanField()),
                ('name', models.CharField(max_length=33)),
            ],
            options={
                'verbose_name_plural': 'Context Navigation Menus',
            },
            bases=(models.Model, cms.menus.models.AbstractImportableMenu),
        ),
        migrations.CreateModel(
            name='NavigationBarItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('order', models.IntegerField(blank=True, default=10, null=True)),
                ('is_active', models.BooleanField()),
                ('name', models.CharField(max_length=60)),
                ('url', models.CharField(blank=True, help_text='url', max_length=2048, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigationbaritem_created_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Context Navigation Menu Items',
                'ordering': ('order',),
            },
            bases=(models.Model, cms.menus.models.AbstractImportableMenu),
        ),
        migrations.CreateModel(
            name='NavigationBarItemLocalization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language', models.CharField(choices=(lambda: settings.LANGUAGES)(), default='en', max_length=12)),
                ('name', models.CharField(max_length=33)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigationbaritemlocalization_created_by', to=settings.AUTH_USER_MODEL)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cmsmenus.navigationbaritem')),
                ('modified_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='navigationbaritemlocalization_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Context Navigation Menu Item Localizations',
            },
        ),
    ]
